summaryrefslogtreecommitdiff
path: root/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-30 01:40:10 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-30 01:40:10 +0000
commit3b3ef83efc816e0285bfc26d7a6d2128170fa89a (patch)
tree846b306a33d8986480a3286eb74854167f52316d /dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
parent491986f3920fc2a7ae5ac652861c8d713eac5970 (diff)
downloadbaldeagleos-repo-3b3ef83efc816e0285bfc26d7a6d2128170fa89a.tar.gz
baldeagleos-repo-3b3ef83efc816e0285bfc26d7a6d2128170fa89a.tar.xz
baldeagleos-repo-3b3ef83efc816e0285bfc26d7a6d2128170fa89a.zip
Adding metadata
Diffstat (limited to 'dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild')
-rw-r--r--dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild b/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
new file mode 100644
index 000000000000..b9967ad37188
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-1.26.0-r2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="https://pypi.org/project/PyPDF2/ https://github.com/mstamy2/PyPDF2"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="examples"
+
+PATCHES=( "${FILESDIR}/${P}-py3-tests.patch" )
+
+python_test() {
+ "${EPYTHON}" -m unittest Tests.tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Sample_Code/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}